//
//  NetworkManager.swift
//  L6Starter
//
//  Created by Mindy Lou on 11/3/18.
//  Copyright © 2018 Cornell AppDev. All rights reserved.
//

import Foundation
import Alamofire

let endpoint = "https://mindylou.github.io/classes.json"

// How do we make network calls?
class NetworkManager {
    static func getClasses() {
        Alamofire.request(endpoint, method: .get).validate().responseJSON { response in
            switch response.result {
            case .success(let json):
                print(json)
            case .failure(let error):
                print(error.localizedDescription)
            }
        }
    }
}
